#========================================================================================
# package      DE_EPAGES::Google::Hooks::ShortURL
# state        public
# description  create new uri for shorturl google*.hmtl
#========================================================================================
package DE_EPAGES::Google::Hooks::ShortURL;

use strict;

#========================================================================================
# function     OnShortUrlRedirect
# state        public
#----------------------------------------------------------------------------------------
# syntax       OnShortUrlRedirect( $hParams );
#----------------------------------------------------------------------------------------
# description  Sets new uri for short uri 'google*.hmtl'.
#               (Hook ShortUrlRedirect)
#----------------------------------------------------------------------------------------
# input        $hParams | primary key of tax class, key is
#               <ul>
#                   <li>Object - shop - object
#                   <li>URI - short URI - string
#                   <li>NewURI - new URI (set this parameter) - string
#               </ul> | ref.hash.*
#========================================================================================
sub OnShortUrlRedirect {
    my ($hParams) = @_;
    my $Shop = $hParams->{'Object'};
    my $Uri = $hParams->{'URI'};

    return unless defined $Uri;
    return unless $Uri =~  /^google[a-f0-9]+\.html$/;

    my $NewUri = $Shop->get('WebServerScriptName') . '/?ViewAction=';
    $NewUri .= 'UnitySF-ViewGoogleHTML';
    $NewUri .= '&ChangeAction=BlockMonitor&ObjectID=' . $Shop->id;
    $hParams->{'NewURI'} = $NewUri;
}

1;
