#==============================================================================
# package      DE_EPAGES::Google::UI::Shop
# base         DE_EPAGES::Order::UI::Shop
# state        private
#==============================================================================
package DE_EPAGES::Google::UI::Shop;
use base DE_EPAGES::Presentation::UI::Object;

use strict;

use DE_EPAGES::Trigger::API::Trigger qw ( TriggerHook );

sub UnitySave {
    my $self = shift;
    my ($Servlet) = @_;

    my $hValues = $Servlet->form->form($Servlet->object, 'SaveGoogleSearch');
    my $GoogleSiteVerificationToken = $hValues->{'GoogleSiteVerificationToken'};

    if($GoogleSiteVerificationToken =~ /^google[a-f0-9]+\.html$/  || $GoogleSiteVerificationToken eq ""){
        $self->SUPER::Save($Servlet);  
    }
    else{
        $Servlet->form->executeFormError({
            'Name'       => 'GoogleSearchHTMLFile',
            'Reason'     => 'WrongFormat',
        });
    }
}

sub UnityMBOViewGoogleSearch {
    my $self = shift;
    my ($Servlet) = @_;

    # trigger hook to allow the adding of context sensitive apps
    TriggerHook('UI_Shop_UnityViewGoogleSearch', { 'Servlet' => $Servlet });

    return $self->SUPER::View($Servlet);
}

sub UnitySFViewGoogleHTML {
    my $self = shift;
    my ($Servlet) = @_;
    my $Shop = $Servlet->object->get('Site');
    my $Response = $Servlet->response;
    $Response->header( 'Content-Type' => 'text/html' );

    my $GoogleSiteVerificationToken = $Shop->get('GoogleSiteVerificationToken');
    if($GoogleSiteVerificationToken) {
        # display html file
        my $Content= 'google-site-verification: ' . $GoogleSiteVerificationToken;
        $Response->content( $Content);
    } else {
        # display 404 error
        $Response->content('No google*.html available.');
        $Response->code('404');
    }

    $Servlet->vars('ExitAfterEvent', 1);

    return;
}

1;
