#========================================================================================
# package      DE_EPAGES::Object::DAL::mysql::UnitOfMeasurement
# state        private
# description  MySQL database interface for tables:
#               <ul>
#                   <li>unitofmeasurement
#               </ul>
#========================================================================================
package DE_EPAGES::Object::DAL::mysql::UnitOfMeasurement;
use base qw( DE_EPAGES::Object::DAL::SQL::UnitOfMeasurement );

use strict;

#========================================================================================
# function     InsertUnitOfMeasurement
#----------------------------------------------------------------------------------------
# syntax       $Package->InsertUnitOfMeasurement($dbh, $hParameter);
#----------------------------------------------------------------------------------------
# description  Inserts an entry into table unitofmeasurement.
#----------------------------------------------------------------------------------------
# input        $dbi | database handle | DE_EPAGES::Database::API::DBI
# input        $hParameter | with following keys:
#               <ul>
#                   <li>UnitID       - unit id           (primary key)- int
#                   <li>Type         - type of measurement            - string
#                   <li>Factor       - conversion factor to base unit - decimal
#                   <li>Abbreviation - representation symbol          - char(50)
#                   <li>Code         - UN/ECE recommendation 20 code  - char(3)
#               </ul> | reference to hash
#========================================================================================
sub InsertUnitOfMeasurement {
    my $self = shift;
    my ($dbi, $hParameter) = @_;
    $dbi->do('INSERT INTO unitofmeasurement (unitid, type, factor, abbreviation, code) VALUES (?, ?, ?, ?, ?)',
        [ @{$hParameter}{qw( UnitID Type Facotr Abbreviation Code )} ]
    );
}

1;
